Foreman - Bug #14868

After satellite upgrade to 6.1.4 'Usergroup sync' under Idap authentication gets enabled
automatically

04/28/2016 09:44 AM - Daniel Lobato Garcia
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1284832
Description of problem:
After upgrading satellite to version 6.1.4 the 'Usergroup Sync' under Ldap Authentication get enabled automatically.

Version-Release number of selected component (if applicable):
Red Hat Satellite 6.1.4

How reproducible:
Always

Steps to Reproduce:

1. On Satellite 6.1.3 or below version. Satellite webui --> Administer --> Ldap Authentication --> Click on name --> Account --> here
uncheck the 'Usergroup Sync' is present --> Save

2. Upgrade satellite to 6.1.4 by performing steps from installation guide.
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.1/html-single/Installation_Guide/index.html#sect-Red_Hat_Sate
lite-Installation_Guide-Upgrading Red_Hat_Satellite_Server_and_Capsule_Server-Upgrading Red Hat_Satellite

3. Satellite webui --> Administer --> Ldap Authentication --> Click on name --> Account --> here the 'Usergroup Sync' is checked

Actual results:
'Usergroup Sync' is enabled automatically resulting in login failure.

Expected results:
Upgrade should not automatically enable 'Usergroup Sync' and should maintain configuration.

Additional info:

History

#1 - 04/28/2016 09:48 AM - Dominic Cleal

- Status changed from New to Need more information

Not a very useful bug report with regards to Foreman, there's no context... which upstream versions does this upgrade correspond to? 1.10to 1.11?

#2 - 07/12/2016 08:10 AM - Bryan Kearney
- Bugzilla link changed from 1284832 to 1315268

#3 - 07/27/2016 04:41 AM - Ivan Necas

- Category set to Authentication

#4 - 12/14/2016 11:09 AM - Daniel Lobato Garcia

- Status changed from Need more information to Resolved
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.1/html-single/Installation_Guide/index.html#sect-Red_Hat_Satellite-Installation_Guide-Upgrading_Red_Hat_Satellite_Server_and_Capsule_Server-Upgrading_Red_Hat_Satellite
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.1/html-single/Installation_Guide/index.html#sect-Red_Hat_Satellite-Installation_Guide-Upgrading_Red_Hat_Satellite_Server_and_Capsule_Server-Upgrading_Red_Hat_Satellite

Closing as this was about that flag being enabled when migrating to 1.11 when it was introduced and not about us changing that property from what
false to true on a migration.
